PWAV::FMTChunk Struct Reference

`#include <pwavfile.h>`

## Public Attributes

ChunkHeader | hdr
| chunk header (already packed) More...
PUInt16l format | P_PACKED
| Format. More...
PUInt16l numChannels | P_PACKED
| Channels 0x01 = mono, 0x02 = stereo. More...
PUInt32l sampleRate | P_PACKED
| Sample Rate in Hz. More...
PUInt32l bytesPerSec | P_PACKED
| Average bytes Per Second. More...
PUInt16l bytesPerSample | P_PACKED
| Bytes Per Sample, eg 2. More...
PUInt16l bitsPerSample | P_PACKED
| Bits Per Sample, eg 16. More...

## Member Data Documentation

## hdr

ChunkHeader PWAV::FMTChunk::hdr

chunk header (already packed)

## P_PACKED [1/6]

PUInt16l format PWAV::FMTChunk::P_PACKED

Format.

## P_PACKED [2/6]

PUInt16l numChannels PWAV::FMTChunk::P_PACKED

Channels 0x01 = mono, 0x02 = stereo.

## P_PACKED [3/6]

PUInt32l sampleRate PWAV::FMTChunk::P_PACKED

Sample Rate in Hz.

## P_PACKED [4/6]

PUInt32l bytesPerSec PWAV::FMTChunk::P_PACKED

Average bytes Per Second.

## P_PACKED [5/6]

PUInt16l bytesPerSample PWAV::FMTChunk::P_PACKED

Bytes Per Sample, eg 2.

## P_PACKED [6/6]

PUInt16l bitsPerSample PWAV::FMTChunk::P_PACKED

Bits Per Sample, eg 16.

The documentation for this struct was generated from the following file:

- pwavfile.h